Click or drag to resize
ObjectTableAddClippingPlane Method (Plane, Double, Double, IEnumerableGuid, ObjectAttributes, HistoryRecord, Boolean)

[Missing <summary> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

Namespace: Rhino.DocObjects.Tables
Assembly: RhinoCommon (in RhinoCommon.dll) Version: 5.1.50000.0 (5.0.20693.0)
Syntax
public Guid AddClippingPlane(
	Plane plane,
	double uMagnitude,
	double vMagnitude,
	IEnumerable<Guid> clippedViewportIds,
	ObjectAttributes attributes,
	HistoryRecord history,
	bool reference
)

Parameters

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

uMagnitude
Type: SystemDouble

[Missing <param name="uMagnitude"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

vMagnitude
Type: SystemDouble

[Missing <param name="vMagnitude"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

clippedViewportIds
Type: System.Collections.GenericIEnumerableGuid

[Missing <param name="clippedViewportIds"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

attributes
Type: Rhino.DocObjectsObjectAttributes

[Missing <param name="attributes"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

history
Type: Rhino.DocObjectsHistoryRecord

[Missing <param name="history"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

reference
Type: SystemBoolean

[Missing <param name="reference"/> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

Return Value

Type: Guid

[Missing <returns> documentation for "M:Rhino.DocObjects.Tables.ObjectTable.AddClippingPlane(Rhino.Geometry.Plane,System.Double,System.Double,System.Collections.Generic.IEnumerable{System.Guid},Rhino.DocObjects.ObjectAttributes,Rhino.DocObjects.HistoryRecord,System.Boolean)"]

See Also